Security update for accountsservice

SUSE Security Update: Security update for accountsservice
Announcement ID: SUSE-SU-2018:3625-1
Rating: moderate
References: #1090003 #1095918 #1099699
Cross-References: CVE-2018-14036
Affected Products:
  • SUSE Linux Enterprise Module for Desktop Applications 15

An update that solves one vulnerability and has two fixes is now available.

Description:

This update for accountsservice fixes the following issues:
This security issue was fixed:

  • CVE-2018-14036: Prevent directory traversal caused by an insufficient path check in user_change_icon_file_authorized_cb() (bsc#1099699)

Thsese non-security issues were fixed:
  • Don't abort loading users when an /etc/shadow entry is missing. (bsc#1090003)
  • When user session type is wayland, act_user_is_logged_in can return TRUE if the user is logged in. (bsc#1095918)

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Desktop Applications 15:
    zypper in -t patch SUSE-SLE-Module-Desktop-Applications-15-2018-2579=1

Package List:

  • SUSE Linux Enterprise Module for Desktop Applications 15 (aarch64 ppc64le s390x x86_64):
    • accountsservice-0.6.45-6.7.6
    • accountsservice-debuginfo-0.6.45-6.7.6
    • accountsservice-debugsource-0.6.45-6.7.6
    • accountsservice-devel-0.6.45-6.7.6
    • libaccountsservice0-0.6.45-6.7.6
    • libaccountsservice0-debuginfo-0.6.45-6.7.6
    • typelib-1_0-AccountsService-1_0-0.6.45-6.7.6
  • SUSE Linux Enterprise Module for Desktop Applications 15 (noarch):
    • accountsservice-lang-0.6.45-6.7.6

References: